Migrate Source JCR supports read-only migrations from a JCR storage engine. The
migrate source plugin leverages Jackalope (an implementation of PHPCR) for
queries.

# Synopsis

The general approach for using this plugin is:

1. Allow access to the JCR instance from Drupal 2. Write a Drupal migration
using the JCR source plugin

Writing the migrations will require a working knowledge of how JCR data is
structured and how to map it to the structure inside Drupal. Refer to the
Resources below and related Documentation for help.

# Requirements

There are no additional requirements for using the JCR migration plugin.
However, making sure the JCR source is setup and accessible to Drupal may have
its own considerations.

# Installation

This module is installed similar to other Drupal modules. Because there are
composer dependencies it is important that this module be installed via
composer.

After requiring the module with composer, enable the module on the site. There
is no additional configuration required to use the module.  

# Usage

Please refer to the online documentation for detailed information about its
usage:

[Migrating data from a JCR source](https://www.drupal.org/docs/8/api/migrate-api/migrate-source-plugins/migrating-data-from-a-jcr-source)

# Recommended modules

No modules are recommended for use with JCR migration source. However, given
the complex nature of migrating from JCR it may be worth considering the use of
a hierarchical data structure in Drupal using a module like Paragraphs and
migrating into nested paragraph types.

# Roadmap

There are no planned improvements or changes. However, feel welcome to share
ideas in the issue queue.

